> ## Documentation Index
> Fetch the complete documentation index at: https://www.latitude.sh/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# List SSH Keys

> List all SSH Keys in the project. These keys can be used to access servers after deploy and reinstall actions.




## OpenAPI

````yaml https://spec.speakeasy.com/latitude/latitude/latitude-sh-api-with-code-samples get /ssh_keys
openapi: 3.0.1
info:
  title: Latitude.sh API
  version: '2023-06-01'
  description: >-
    The Latitude.sh API is a RESTful API to manage your Latitude.sh account. It
    allows you to perform the same actions as the Latitude.sh dashboard.
servers:
  - url: https://api.latitude.sh
    variables:
      latitude_api_key:
        default: <insert your api key here>
  - url: http://api.latitude.sh
    variables:
      latitude_api_key:
        default: <insert your api key here>
security: []
tags:
  - name: API keys
  - name: Billing
  - name: Elastic Ips
  - name: Events
  - name: Firewalls
  - name: IP Addresses
  - name: Kubernetes Clusters
  - name: Operating Systems
  - name: Plans
  - name: Private Networks
  - name: Projects
  - name: Regions
  - name: Roles
  - name: SSH Keys
  - name: Servers
  - name: Storage
  - name: Tags
  - name: Teams
  - name: Team members
  - name: Traffic
  - name: User data
  - name: User profile
  - name: VPN Sessions
  - name: Virtual machines
paths:
  /ssh_keys:
    get:
      tags:
        - SSH Keys
      summary: List SSH Keys
      description: >
        List all SSH Keys in the project. These keys can be used to access
        servers after deploy and reinstall actions.
      operationId: get-ssh-keys
      parameters:
        - name: filter[project]
          in: query
          required: false
          description: Project ID or slug
          schema:
            type: string
        - name: filter[scope]
          in: query
          required: false
          description: >-
            Filter by scope: `project` (has projects), `team` (no projects), or
            empty (all)
          schema:
            type: string
        - name: filter[tags]
          in: query
          required: false
          description: >-
            The tags ids to filter by, separated by comma, e.g.
            `filter[tags]=tag_1,tag_2`will return ssh keys with `tag_1` AND
            `tag_2`
          examples:
            Success:
              value: tag_A06EMPEmKXhKBNKgWrv0CRZMN5a,tag_P7xlGZzYNZF4w3YXRrYMU7AjQEAX
          schema:
            type: string
      responses:
        '200':
          description: Success
          content:
            application/vnd.api+json:
              examples:
                Success:
                  value:
                    data:
                      - id: ssh_VE1Wd3L7qXnZJ
                        type: ssh_keys
                        attributes:
                          tags: []
                          name: quigley-hudson.example
                          public_key: >-
                            ssh-rsa
                            AAAAB3NzaC1yc2EAAAADAQABAAABAQCuDo1r0gQTdX/8l4Ko7ZAYJLimzA1+eom99SFnMKwZmGVubhsnvQ8sCJAqjn1gO66+RrDwrWb+iqM7vlQlodiMr9VTOCxDke9MhW5peRP94vKyptquzJW8J+Y3qNcM774bOrQXpQMo92i5d4ffPYmEoifxVYEhmZrM2Yxr3zqLW0cs446RvCDRLTyGAhte6F9i1Qz95U4WqVkJ9Y5A/cSwJ1W17lK+e8ZMpjkrZXUL0gYGylM7BJRf+R6XOnXAdBEW1Dr8QN+s8ai4m5Y0htwPqTfL5/rGiVrES+QnDUJDe5mtpa3v51geAzgXTFtw3JCGpGyUbv0kITvFJBwNMvUz
                          fingerprint: a5:3b:97:0c:b5:2a:a1:6d:e4:93:2f:9d:5f:a6:0e:28
                          created_at: '2026-01-14T15:57:04+00:00'
                          updated_at: '2026-01-14T15:57:04+00:00'
                          project: {}
                          user:
                            id: user_Xjm6jLAYleIy8YRwoMyLCBbXypG
                            first_name: Lashawna
                            last_name: Wuckert
                            email: shawnee_runolfsdottir@olson-gulgowski.test
                            created_at: '2025-10-16T00:00:00.000Z'
                            updated_at: '2025-04-04T00:00:00.000Z'
                            role:
                              id: role_5QB3mJAbazs5MbgR5RkLFro6YVY
                              name: owner
                              created_at: '2025-12-23T00:00:00.000Z'
                              updated_at: '2026-11-24T00:00:00.000Z'
                    meta: {}
              schema:
                $ref: '#/components/schemas/ssh_keys'
      security:
        - Bearer: []
      x-codeSamples:
        - lang: python
          label: Python (SDK)
          source: |-
            from latitudesh_python_sdk import Latitudesh
            import os


            with Latitudesh(
                bearer=os.getenv("LATITUDESH_BEARER", ""),
            ) as latitudesh:

                res = latitudesh.ssh_keys.get_ssh_keys(filter_tags="tag_A06EMPEmKXhKBNKgWrv0CRZMN5a,tag_P7xlGZzYNZF4w3YXRrYMU7AjQEAX")

                # Handle response
                print(res)
        - lang: go
          label: Go (SDK)
          source: "package main\n\nimport(\n\t\"context\"\n\t\"os\"\n\tlatitudeshgosdk \"github.com/latitudesh/latitudesh-go-sdk\"\n\t\"log\"\n)\n\nfunc main() {\n    ctx := context.Background()\n\n    s := latitudeshgosdk.New(\n        latitudeshgosdk.WithSecurity(os.Getenv(\"LATITUDESH_BEARER\")),\n    )\n\n    res, err := s.SSHKeys.ListAll(ctx, nil, nil, latitudeshgosdk.Pointer(\"tag_A06EMPEmKXhKBNKgWrv0CRZMN5a,tag_P7xlGZzYNZF4w3YXRrYMU7AjQEAX\"))\n    if err != nil {\n        log.Fatal(err)\n    }\n    if res.SSHKeys != nil {\n        // handle response\n    }\n}"
        - lang: typescript
          label: Typescript (SDK)
          source: |-
            import { Latitudesh } from "latitudesh-typescript-sdk";

            const latitudesh = new Latitudesh({
              bearer: process.env["LATITUDESH_BEARER"] ?? "",
            });

            async function run() {
              const result = await latitudesh.sshKeys.listAll({
                filterTags: "tag_A06EMPEmKXhKBNKgWrv0CRZMN5a,tag_P7xlGZzYNZF4w3YXRrYMU7AjQEAX",
              });

              console.log(result);
            }

            run();
components:
  schemas:
    ssh_keys:
      type: object
      properties:
        data:
          type: array
          items:
            $ref: '#/components/schemas/ssh_key_data'
        meta:
          type: object
    ssh_key_data:
      type: object
      properties:
        id:
          type: string
        type:
          type: string
          enum:
            - ssh_keys
        attributes:
          type: object
          properties:
            name:
              type: string
              description: Name of the SSH Key
            public_key:
              type: string
              description: SSH Public Key
            fingerprint:
              type: string
              description: SSH Key fingerprint
            user:
              $ref: '#/components/schemas/user_include'
            project:
              $ref: '#/components/schemas/project_include'
            created_at:
              type: string
            updated_at:
              type: string
      required:
        - type
    user_include:
      type: object
      properties:
        id:
          type: string
        first_name:
          type: string
        last_name:
          type: string
        email:
          type: string
        authentication_factor_id:
          type: string
          nullable: true
        created_at:
          type: string
        updated_at:
          type: string
        role:
          type: object
          properties:
            id:
              type: string
            name:
              type: string
            created_at:
              type: string
            updated_at:
              type: string
    project_include:
      type: object
      properties:
        id:
          type: string
        name:
          type: string
        slug:
          type: string
        description:
          type: string
          nullable: true
        billing_type:
          type: string
          nullable: true
        provisioning_type:
          type: string
          nullable: true
        billing_method:
          type: string
          nullable: true
        bandwidth_alert:
          type: boolean
        environment:
          type: string
          nullable: true
        billing:
          type: object
          properties:
            subscription_id:
              type: string
              nullable: true
            type:
              type: string
            method:
              type: string
        stats:
          type: object
          properties:
            ip_addresses:
              type: integer
            prefixes:
              type: integer
            servers:
              type: integer
            vlans:
              type: integer
  securitySchemes:
    Bearer:
      type: apiKey
      name: Authorization
      in: header

````